Subject: bug#38748: 28.0.50; crash on MacOS 10.15.2

From: Pip Cet <[email-masked]>
Date: Sat, 11 Jan 2020 14:13:43 +0000

On Sat, Jan 11, 2020 at 1:59 PM Alan Third <[email-masked]> wrote:
> > It's my impression that macOS forces us to run in several threads,
> > even though we don't really want to do so. For example, changeFont in
> > nsterm.m appears not to assume it's run on the main thread, but calls
> > build_string, which sounds dangerous to me.
>
> What makes you think it’s assuming it may not be run on the main
> thread?

The way it doesn't simply call Lisp, but sets up an event to be
handled in the event loop. How is changeFont actually called? Would it
be safe to call Lisp from it?

> macOS does set up several threads, but it doesn’t force any of your
> code to run in arbitrary threads.

That's good to know, thanks.